Package org.eclipse.emf.compare.rcp.ui.internal.configuration.impl

## Class CompareEditingDomainChange

- java.lang.Object
- - org.eclipse.emf.compare.rcp.ui.internal.configuration.impl.CompareEvent<ICompareEditingDomain>
  - - org.eclipse.emf.compare.rcp.ui.internal.configuration.impl.CompareEditingDomainChange

All Implemented Interfaces:
  `ICompareEvent`, `ICompareEditingDomainChange`

    public class CompareEditingDomainChange
    extends CompareEvent<ICompareEditingDomain>
    implements ICompareEditingDomainChange

### Constructor Summary

Constructors
`CompareEditingDomainChange​(ICompareEditingDomain oldValue, ICompareEditingDomain newValue)`

### Method Summary

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.internal.configuration.impl.CompareEvent

`getNewValue, getOldValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.internal.configuration.ICompareEditingDomainChange

`getNewValue, getOldValue`

### Constructor Detail

#### CompareEditingDomainChange

    public CompareEditingDomainChange​(ICompareEditingDomain oldValue,
                                      ICompareEditingDomain newValue)